GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
shard_type Struct Reference

## Data Fields
gpr_mu | mu
grpc_time_averaged_stats | stats
gpr_timespec | queue_deadline_cap
gpr_timespec | min_deadline
gpr_uint32 | shard_queue_index
grpc_alarm_heap | heap
grpc_alarm | list

## Field Documentation

grpc_alarm_heap shard_type::heap

grpc_alarm shard_type::list

gpr_timespec shard_type::min_deadline

gpr_mu shard_type::mu

gpr_timespec shard_type::queue_deadline_cap

gpr_uint32 shard_type::shard_queue_index

grpc_time_averaged_stats shard_type::stats

The documentation for this struct was generated from the following file:

- src/core/iomgr/alarm.c